Subject: Re: bug#7785: rgrep is broken on woe32
From: Eli Zaretskii <[email-masked]>
To: Óscar Fuentes <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 05 Jan 2011 06:32:58 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Óscar Fuentes <[email-masked]>
> Date: Wed, 05 Jan 2011 02:05:27 +0100
> Cc: [email-masked]
> 
> Sam Steingold <[email-masked]> writes:
> 
> [snip]
> 
> > /usr/bin/find: invalid expression; I was expecting to find a ')'
> > somewhere but did not see one.
> >
> > Grep finished with no matches found at Tue Jan 04 18:42:28
> > =======================================
> >
> > when I paste the above command into a cygwin shell window, it works
> > just fine (finds what I need).
> > i.e., the () in the command are actually well balanced.
> 
> This looks like the string length restriction in cmdproxy.exe reported
> in
> 
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6674#74
> 
> It was patched, as indicated on the subsequent messages on that thread.

Indeed.  Sam, please use the latest pretest of Emacs 23.3, where this
problem should be fixed.

Closing the bug.